org.eclipse.oomph.base.impl

## Class AnnotationImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.base.impl.AnnotationImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, Annotation, ModelElement

      public class AnnotationImpl
      extends ModelElementImpl
      implements Annotation

  An implementation of the model object 'Annotation'.

  The following features are implemented:

  - `Model Element`
  - `Source`
  - `Details`
  - `Contents`
  - `References`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EList<EObject>` | `contents` The cached value of the '`Contents`' containment reference list.
    `protected EMap<String,String>` | `details` The cached value of the '`Details`' map.
    `protected EList<EObject>` | `references` The cached value of the '`References`' reference list.
    `protected String` | `source` The cached value of the '`Source`' attribute.
    `protected static String` | `SOURCE_EDEFAULT` The default value of the '`Source`' attribute.

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AnnotationImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NotificationChain` | `basicSetModelElement(ModelElement newModelElement, NotificationChain msgs)`
    `NotificationChain` | `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `NotificationChain` | `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
    `NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `EList<EObject>` | `getContents()`
    `EMap<String,String>` | `getDetails()`
    `ModelElement` | `getModelElement()`
    `EList<EObject>` | `getReferences()`
    `String` | `getSource()`
    `void` | `setModelElement(ModelElement newModelElement)`
    `void` | `setSource(String newSource)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInvoke, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### SOURCE_EDEFAULT

          protected static final String SOURCE_EDEFAULT

      The default value of the '`Source`' attribute.
      See Also:
        `getSource()`
      Generated
      Ordered

    - #### source

          protected String source

      The cached value of the '`Source`' attribute.
      See Also:
        `getSource()`
      Generated
      Ordered

    - #### details

          protected EMap<String,String> details

      The cached value of the '`Details`' map.
      See Also:
        `getDetails()`
      Generated
      Ordered

    - #### contents

          protected EList<EObject> contents

      The cached value of the '`Contents`' containment reference list.
      See Also:
        `getContents()`
      Generated
      Ordered

    - #### references

          protected EList<EObject> references

      The cached value of the '`References`' reference list.
      See Also:
        `getReferences()`
      Generated
      Ordered

  - ### Constructor Detail

    - #### AnnotationImpl

          protected AnnotationImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `ModelElementImpl`
      Generated

    - #### getModelElement

          public ModelElement getModelElement()

      Specified by:
        `getModelElement` in interface `Annotation`
      Returns:
        the value of the 'Model Element' container reference.
      See Also:
        `Annotation.setModelElement(ModelElement)`, `BasePackage.getAnnotation_ModelElement()`, `ModelElement.getAnnotations()`
      Generated

    - #### basicSetModelElement

          public NotificationChain basicSetModelElement(ModelElement newModelElement,
                                               NotificationChain msgs)

      Generated

    - #### setModelElement

          public void setModelElement(ModelElement newModelElement)

      Specified by:
        `setModelElement` in interface `Annotation`
      Parameters:
        `newModelElement` - the new value of the 'Model Element' container reference.
      See Also:
        `Annotation.getModelElement()`
      Generated

    - #### getSource

          public String getSource()

      Specified by:
        `getSource` in interface `Annotation`
      Returns:
        the value of the 'Source' attribute.
      See Also:
        `Annotation.setSource(String)`, `BasePackage.getAnnotation_Source()`
      Generated

    - #### setSource

          public void setSource(String newSource)

      Specified by:
        `setSource` in interface `Annotation`
      Parameters:
        `newSource` - the new value of the 'Source' attribute.
      See Also:
        `Annotation.getSource()`
      Generated

    - #### getDetails

          public EMap<String,String> getDetails()

      Specified by:
        `getDetails` in interface `Annotation`
      Returns:
        the value of the 'Details' map.
      See Also:
        `BasePackage.getAnnotation_Details()`
      Generated

    - #### getContents

          public EList<EObject> getContents()

      Specified by:
        `getContents` in interface `Annotation`
      Returns:
        the value of the 'Contents' containment reference list.
      See Also:
        `BasePackage.getAnnotation_Contents()`
      Generated

    - #### getReferences

          public EList<EObject> getReferences()

      Specified by:
        `getReferences` in interface `Annotation`
      Returns:
        the value of the 'References' reference list.
      See Also:
        `BasePackage.getAnnotation_References()`
      Generated

    - #### eInverseAdd

          public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                      int featureID,
                                      NotificationChain msgs)

      Overrides:
        `eInverseAdd` in class `ModelElementImpl`
      Generated

    - #### eInverseRemove

          public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `ModelElementImpl`
      Generated

    - #### eBasicRemoveFromContainerFeature

          public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

      Overrides:
        `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`
      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `ModelElementImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `ModelElementImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `ModelElementImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `ModelElementImpl`
      Generated

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BasicEObjectImpl`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html